class GreenWaveTrafficAgent : public BaseTrafficAgent {
protected:
	double stable_state_loss;
	
	double best_offset;
public:
	void validate() {
		BaseTrafficAgent::validate();
		action_rv = RV(name+"_offset", 1); // <======= example
	}
	void GreeWaveTrafficAgent();
};
UIREGISTER(GreenWaveTrafficAgent);